-- ======================================================================================
-- Table: USR_AUTO_FORNE
-- ======================================================================================
CREATE TABLE USR_AUTO_FORNE
(
	NRAUTOFORN    VARCHAR2(10),
	DTAUTOFORN    DATE,
 CDEXFORNECED  VARCHAR2(30),
 CDFORNECED    VARCHAR2(21),
	CDOPERADOR    VARCHAR2(12), 
	NMCOMPRADOR   VARCHAR2(40),
	CDMOEDA       NUMBER,
	NRINSJURTRAN  VARCHAR2(14),
	IDPGTOFRETE   VARCHAR2(3),
	CDFORMPGTO    VARCHAR2(4),
	NMCONTFORN    VARCHAR2(250),
	DSOBSERVACOES VARCHAR2(250),
	CDFILDEST     VARCHAR2(4),
	CDFILLANC     VARCHAR2(4),
	CDCENTCUST    VARCHAR2(5),
    NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
   CONSTRAINT CKC_IDATIVO_USR_AUTO_FORNE CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1',
 constraint PK_USR_AUTO_FORNE primary key (CDFILDEST, CDFILLANC, NRAUTOFORN)
)
/
CREATE INDEX FK_FIS00729 ON USR_AUTO_FORNE (NRAUTOFORN ASC)
/

-- ======================================================================================
-- Table: USR_ITEM_AUTF
-- ======================================================================================
CREATE TABLE USR_ITEM_AUTF
(
 NRAUTOFORN  VARCHAR2(10),
 CDMARCA     VARCHAR2(5),
 CDPRODUTO   VARCHAR2(10),
 CDPRODINTE  VARCHAR2(16),
 DTPROGENTAF DATE,
 QTPROGENTAF FLOAT,
 SGUNIDADE   VARCHAR2(4),
 VRPREUNIAF  FLOAT,
 CDFILDEST   VARCHAR2(4),
 CDFILLANC   VARCHAR2(4),
 DTCOTACAO   DATE,
    NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
   CONSTRAINT CKC_IDATIVO_USR_ITEM_AUTF CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1',
constraint PK_USR_ITEM_AUTF primary key (CDFILDEST, CDFILLANC, NRAUTOFORN, CDMARCA, CDPRODUTO, DTPROGENTAF)
)
/
CREATE INDEX FK_FIS00730 ON USR_ITEM_AUTF (NRAUTOFORN ASC)
/
ALTER TABLE USR_ITEM_AUTF
    ADD CONSTRAINT FKFIS00729USR_ITEM_AUTF FOREIGN KEY  (CDFILDEST, CDFILLANC, NRAUTOFORN)
       REFERENCES USR_AUTO_FORNE (CDFILDEST, CDFILLANC, NRAUTOFORN) ON DELETE CASCADE
/
ALTER TABLE AUTOFORNE ADD DTEXPOAFWEBSERV DATE
/
ALTER TABLE AUTOFORNE ADD DTEXPOAUTOFORN DATE
/
ALTER TABLE ITEMAUTF ADD NRORDCMPWEBSERV NUMBER
/
ALTER TABLE ITEMAUTF ADD NRPEDCMPWEBSERV NUMBER
/
ALTER TABLE ITEMAUTF ADD DSOBSERVWEBSERV VARCHAR2(250)
/

-- ======================================================================================
-- Table: USR_DEVO_MERC
-- ======================================================================================
CREATE TABLE USR_DEVO_MERC
(
IDENTRSAID   VARCHAR2(1),
CDFILIAL     VARCHAR2(4),
NRNOTAFISCAL VARCHAR2(20),
NRINSJURFORN VARCHAR2(20),
DTENTRADA    DATE,
CDFILIRECE   VARCHAR2(4),
CDTIPOOPER   VARCHAR2(2),
DTEMISSAO    DATE,
NRAUTOFORNE  VARCHAR2(10),
LOG_ERRO     VARCHAR2(250),
DTIMPORTACAO DATE,
CDSERIE      VARCHAR2(5),
CDMODDOCFISC VARCHAR2(2),
NRLANCESTQ   VARCHAR2(10),
NRLANCTONF   VARCHAR2(10),
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
   CONSTRAINT CKC_IDATIVO_USR_DEVO_MERC CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1'
)
/

-- ======================================================================================
-- Table: USR_ITEM_DEVO_MERC
-- ======================================================================================
CREATE TABLE USR_ITEM_DEVO_MERC
(
CDFILIAL     VARCHAR2(4),
NRNOTAFISCAL VARCHAR2(20),
CDFILIRECE   VARCHAR2(4),
NRAUTOFORNE  VARCHAR2(10),
DTIMPORTACAO DATE,
VRQUANTIDADE FLOAT(126),
VRUNITARIO   FLOAT(126),
CDPRODINTE   VARCHAR2(20),
DTEMISSAO    DATE,
NRINSJURFORN VARCHAR2(20),
CDSERIE      VARCHAR2(5),
IDIMPORTADO             VARCHAR2(1)       default 'N' null
        constraint CKC_USR_ID_IDIMPORTADO check (
            IDIMPORTADO is null or (IDIMPORTADO in ('S','N'))),
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
   CONSTRAINT CKC_IDATIVO_USR_ITEM_DEVO_MERC CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1'
)
/

-- ======================================================================================
-- Table: USR_ESTORNO_MERC
-- ======================================================================================
CREATE TABLE USR_ESTORNO_MERC
(
IDENTRSAID   VARCHAR2(1),
CDFILIAL     VARCHAR2(4),
NRNOTAFISCAL VARCHAR2(20),
NRINSJURFORN VARCHAR2(20),
DTENTRADA    DATE,
CDFILIRECE   VARCHAR2(4),
CDTIPOOPER   VARCHAR2(2),
DTEMISSAO    DATE,
NRAUTOFORNE  VARCHAR2(10),
LOG_ERRO     VARCHAR2(250),
DTIMPORTACAO DATE,
CDSERIE      VARCHAR2(5),
CDMODDOCFISC VARCHAR2(2),
NRLANCESTQ   VARCHAR2(10),
NRLANCTONF   VARCHAR2(10),
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
   CONSTRAINT CKC_IDATIVO_USR_ESTORNO_MERC CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1'
)
/

-- ======================================================================================
-- Table: USR_ITEM_ESTORNO_MERC
-- ======================================================================================
CREATE TABLE USR_ITEM_ESTORNO_MERC
(
CDFILIAL     VARCHAR2(4),
NRNOTAFISCAL VARCHAR2(20),
CDFILIRECE   VARCHAR2(4),
NRAUTOFORNE  VARCHAR2(10),
DTIMPORTACAO DATE,
VRQUANTIDADE FLOAT(126),
VRUNITARIO   FLOAT(126),
CDPRODINTE   VARCHAR2(20 BYTE),
DTEMISSAO    DATE,
NRINSJURFORN VARCHAR2(20),
CDSERIE      VARCHAR2(5),
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
   CONSTRAINT CKC_IDATIVO_USR_ITEM_EST_MERC CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1'

)
/
-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZACAO_ESTRUTURA_BD','6.35.021'); END;

